## <AddLandmark />

Constructor

#### # <AddLandmark />

Component that renders a form for adding a new Landmark. Contained within a react-native-modal.

View Source src/components/AddLandmark.tsx, line 15

# Members

#### # inner constant currentLandmarkState

Holds the state of the landmark object to be added.

View Source src/components/AddLandmark.tsx, line 20

# Methods

#### # static resetAddMutationOnSuccess()

Resets the addLandmarkAsync mutation on successful add. Embedded in a useEffect that listens to the addLandmarkStatus value from the useLandmarks hook.

View Source src/components/AddLandmark.tsx, line 38

#### # static updateLandmarkStateFromParent()

Updates this component's `currentLandmarkState` when the `landmark` prop passed down from the parent Map's `newLandmark` is changed. Embedded in a useEffect that listens to the `landmark` prop.

View Source src/components/AddLandmark.tsx, line 28

#### # inner close()

Closes the modal.

View Source src/components/AddLandmark.tsx, line 55

#### # async inner submit()

Calls addLandmarkAsync from useLandmarks to initate the process of adding a landmark, then closes the modal.

View Source src/components/AddLandmark.tsx, line 48